Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class OperationalLogDocuments
    Inherits FileAttachmentBase

    Private _OperationalLog As OperationalLog

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("OperationalLog-OperationalLogDocuments", GetType(OperationalLog))> _
    Property OperationalLog As OperationalLog
        Get
            Return _OperationalLog
        End Get
        Set(value As OperationalLog)
            SetPropertyValue("OperationalLog", _OperationalLog, value)
        End Set
    End Property
End Class
